<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::sliding_buffer_kernel_c&lt; sb_base &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1sliding__buffer__kernel__c.html">sliding_buffer_kernel_c</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="classdlib_1_1sliding__buffer__kernel__c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::sliding_buffer_kernel_c&lt; sb_base &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::sliding_buffer_kernel_c&lt; sb_base &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1sliding__buffer__kernel__c.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a51318212f9774555ac36e37d819cfc8e"><td class="memItemLeft" align="right" valign="top"><a id="a51318212f9774555ac36e37d819cfc8e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (unsigned long exp_size)</td></tr>
<tr class="separator:a51318212f9774555ac36e37d819cfc8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d0e505287deb7b38f6ffe0943e73c2"><td class="memItemLeft" align="right" valign="top"><a id="ad4d0e505287deb7b38f6ffe0943e73c2"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (unsigned long index) const</td></tr>
<tr class="separator:ad4d0e505287deb7b38f6ffe0943e73c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca12e425bb20d8bf6dbd5fd5ca284c3"><td class="memItemLeft" align="right" valign="top"><a id="a8ca12e425bb20d8bf6dbd5fd5ca284c3"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (unsigned long index)</td></tr>
<tr class="separator:a8ca12e425bb20d8bf6dbd5fd5ca284c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72e2667d13f3027403bc5c30c1e64b9d"><td class="memItemLeft" align="right" valign="top"><a id="a72e2667d13f3027403bc5c30c1e64b9d"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_element_id</b> (unsigned long index) const</td></tr>
<tr class="separator:a72e2667d13f3027403bc5c30c1e64b9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10477a097a18ba0c03834ccafc21b3e8"><td class="memItemLeft" align="right" valign="top"><a id="a10477a097a18ba0c03834ccafc21b3e8"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_element_index</b> (unsigned long element_id) const</td></tr>
<tr class="separator:a10477a097a18ba0c03834ccafc21b3e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2311ce0d9b6f067fdd63b3052b7c22b"><td class="memItemLeft" align="right" valign="top"><a id="ad2311ce0d9b6f067fdd63b3052b7c22b"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> () const</td></tr>
<tr class="separator:ad2311ce0d9b6f067fdd63b3052b7c22b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d03dabadfe27cb1cfe0e1fc43e0151e"><td class="memItemLeft" align="right" valign="top"><a id="a1d03dabadfe27cb1cfe0e1fc43e0151e"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>element</b> ()</td></tr>
<tr class="separator:a1d03dabadfe27cb1cfe0e1fc43e0151e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a68e6b0462f8be0140fddbbf9cdad6080"><td class="memItemLeft" align="right" valign="top"><a id="a68e6b0462f8be0140fddbbf9cdad6080"></a>
typedef sb_base::type&#160;</td><td class="memItemRight" valign="bottom"><b>T</b></td></tr>
<tr class="separator:a68e6b0462f8be0140fddbbf9cdad6080"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="sliding__buffer__kernel__c_8h_source.html">sliding_buffer_kernel_c.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
